- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# osgsequence.cpp File Reference

`#include <osgText/Text>`
`#include <osg/Geode>`
`#include <osg/Group>`
`#include <osg/Projection>`
`#include <osg/Sequence>`
`#include <osg/MatrixTransform>`
`#include <osgDB/ReadFile>`
`#include <osgProducer/Viewer>`

Include dependency graph for osgsequence.cpp:

## Functions
osg::Geode * | createText (const std::string &str, const osg::Vec3 &pos)
osg::Node * | createTextGroup (const char **text)
osg::Node * | createHUD (osg::Node *node)
osg::Node * | createScaledNode (osg::Node *node, float targetScale)
osg::Sequence * | createSequence (osg::ArgumentParser &arguments)
int | main (int argc, char **argv)

## Function Documentation

osg::Node* createHUD | ( | osg::Node * | node | ) |

osg::Node* createScaledNode | ( | osg::Node * | node,
|  | float | targetScale
| ) |

osg::Sequence* createSequence | ( | osg::ArgumentParser & | arguments | ) |

osg::Geode* createText | ( | const std::string & | str,
|  | const osg::Vec3 & | pos
| ) |

osg::Node* createTextGroup | ( | const char ** | text | ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |